/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *                                                                       *
 *   TestCaseExtension Library, Copyright 2015 Bryan Chadwick            *
 *                                                                       *
 *   FILE: .\TestCase.cs                                                  *
 *                                                                       *
 *   This file is part of TestCaseExtension.                             *
 *                                                                       *
 *   TestCaseExtension is free software: you can redistribute it and/or  *
 *   modify it under the terms of the GNU General Public License         *
 *   as published by the Free Software Foundation, either version        *
 *   3 of the License, or (at your option) any later version.            *
 *                                                                       *
 *   TestCaseExtension is distributed in the hope that it will be useful,*
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *   GNU General Public License for more details.                        *
 *                                                                       *
 *   You should have received a copy of the GNU General Public License   *
 *   along with TestCaseExtension.                                       *
 *   If not, see <http://www.gnu.org/licenses/>.                         *
 *                                                                       *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
using System.IO;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace TestCaseExtension
{
	/// <summary>Wrapper for the invocation of <c>TestMethods</c> within a <c>TestCaseClass</c>.</summary>
	public class TestCaseExecution : TestExtensionExecution
	{
		/// <summary>Create a new Invoker for this TestCaseExecution and the given context</summary>
		public override ITestMethodInvoker CreateTestMethodInvoker(TestMethodInvokerContext invokerContext)
		{
			return new TestCaseInvoker(invokerContext);
		}

		/// <summary>Dispose this TestCaseExecution</summary>
		public override void Dispose()
		{
		}

		/// <summary>Initialize this TestCaseExecution</summary>
		public override void Initialize(TestExecution execution)
		{
		}
	}
}